apt-get upgrade wants to delete many packages

If none of the more specific forums is the right place to ask

apt-get upgrade wants to delete many packages

Postby drowsy » 2017-10-21 19:40

I usually run "sudo apt-get update; sudo apt-get dist-upgrade" to update package on my Debian testing,
but recently apt started saying it wants to delete a whole bunch of packages:

The following packages will be REMOVED:
atril calendar-google-provider chromium chromium-browser chromium-common darkplaces doxygen-gui ffmpeg freedoom
...
icedove ... thunderbird ... mpv etc

I cannot understand why. Does anybody have an idea?
Below is the full apt output:

The following packages were automatically installed and are no longer required:
apg cheese-common cups-pk-helper dleyna-server exfat-fuse exfat-utils fonts-cantarell gdisk gir1.2-gnomekeyring-1.0 gkbd-capplet gnome-user-share
gstreamer1.0-alsa gstreamer1.0-nice gthumb-data gvfs-libs icedtea-netx-common icoutils ipxe-qemu libaec0 libapache2-mod-dnssd libarpack2 libatasmart4
libblockdev-crypto2 libblockdev-fs2 libblockdev-loop2 libblockdev-part-err2 libblockdev-part2 libblockdev-swap2 libblockdev-utils2 libblockdev2
libbrlapi0.6 libcaca-dev libcaja-extension1 libcdio-cdda1 libcdio-paranoia1 libclutter-1.0-common libcogl-common libcolord-gtk1 libcxsparse3 libdbus-1-dev
libde265-0 libdleyna-connector-dbus-1.0-1 libdleyna-core-1.0-3 libdouble-conversion1 libdumb1 libegl-nvidia0:i386 libenet7 libfdt1 libffms2-4 libgadu3
libgbm1 libgdata-common libgdata22 libgl1-nvidia-glvnd-glx libgl2ps1.4 libgles-nvidia1 libgles-nvidia1:i386 libgles-nvidia2 libgles-nvidia2:i386
libgles1-glvnd-nvidia libgles1-glvnd-nvidia:i386 libgles2-glvnd-nvidia libgles2-glvnd-nvidia:i386 libglew2.0 libglpk40 libgnome-bluetooth13
libgnomekbd-common libgnomekbd8 libgoa-1.0-0b libgoa-1.0-common libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libgrilo-0.3-0 libgupnp-igd-1.0-4
libhdf5-100 libibus-1.0-dev libinput-bin libinput10 libjavascriptcoregtk-4.0-18 liblilv-0-0 libllvm3.9:i386 libmeanwhile1 libmetacity1 libmjpegutils-2.1-0
libmms0 libmodplug1 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmtdev1 libnfs8 libnice10 libnvidia-cfg1 libnvidia-cfg1:i386 libnvidia-eglcore:i386
libnvidia-glcore:i386 libnvidia-ml1 liboauth0 libodbc1 libode6 libofa0 libopencv-calib3d2.4v5 libopencv-features2d2.4v5 libopencv-flann2.4v5
libopencv-highgui2.4-deb0 libopencv-objdetect2.4v5 libopengl0-glvnd-nvidia:i386 libpnglite0 libprotobuf-c1 libpwquality-common libpwquality1 libqhull7
libqrupdate1 libqt5core5a libqt5dbus5 libqt5network5 libqt5scintilla2-l10n libqt5script5 libqt5xml5 libsbc1 libserd-0-0 libslang2-dev libsndio-dev
libsord-0-0 libsoundtouch1 libspandsp2 libsratom-0-0 libsrtp0 libsz2 libtelepathy-glib0 libuchardet0 libudev-dev libudisks2-0 libvdeplug2 libvo-aacenc0
libvo-amrwbenc0 libvolume-key1 libvulkan1:i386 libwayland-bin libwayland-dev libwildmidi-config libwildmidi2 libx11-xcb-dev libxatracker2 libxcb-composite0
libxcb-dri2-0-dev libxcb-dri3-dev libxcb-icccm4 libxcb-image0 libxcb-present-dev libxcb-randr0-dev libxcb-render-util0 libxcb-res0 libxcb-shape0
libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb-xinerama0 libxcb-xkb1 libxcb-xv0 libxcursor-dev libxdamage-dev libxdg-basedir1 libxfixes-dev
libxfont2 libxi-dev libxinerama-dev libxkbcommon-dev libxkbcommon-x11-0 libxrandr-dev libxshmfence-dev libxv-dev libxvmc1 libzbar0 libzephyr4
mate-desktop-common metacity-common mousetweaks nvidia-driver-bin nvidia-persistenced nvidia-support octave-common octave-info pstoedit python-keyring
python-keyrings.alt python-lockfile python-secretstorage python-squaremap python3-cups python3-cupshelpers python3-dbus python3-smbc qemu-system-common
qttranslations5-l10n realmd seabios supertuxkart-data system-config-printer-common system-config-printer-udev teeworlds-data udisks2 vlc-l10n
vlc-plugin-samba vlc-plugin-video-splitter vlc-plugin-visualization x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
x11proto-randr-dev x11proto-video-dev x11proto-xinerama-dev xmoto-data xserver-common xserver-xorg-legacy xwayland yelp-xsl zenity-common
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
atril calendar-google-provider chromium chromium-browser chromium-common darkplaces doxygen-gui ffmpeg freedoom gir1.2-atril gir1.2-cogl-1.0
gnome-control-center gnome-online-accounts gnome-screensaver gnome-session-bin gnome-user-docs gnome-user-guide gnumeric-doc gstreamer1.0-clutter-3.0
gstreamer1.0-plugins-bad gthumb gvfs gvfs-backends gvfs-daemons icedove icedtea-8-plugin icedtea-netx icedtea-plugin iceowl-extension libatk-wrapper-java
libatk-wrapper-java-jni libatrildocument3 libatrilview3 libav-tools libavdevice57 libcheese-gtk25 libcheese8 libclutter-1.0-0 libclutter-gst-3.0-0
libclutter-gtk-1.0-0 libcogl-pango20 libcogl-path20 libcogl20 libdirectfb-1.7-7 libegl1-glvnd-nvidia libegl1-glvnd-nvidia:i386 libegl1-mesa
libegl1-mesa-dev libfarstream-0.2-5 libgail-3-0 libgl1-glvnd-nvidia-glx libgl1-glvnd-nvidia-glx:i386 libgl1-mesa-dev libgl1-mesa-glx libgl1-mesa-glx:i386
libgl1-nvidia-glvnd-glx:i386 libgles2-mesa libgles2-mesa-dev libgltf-0.0-0v5 libglu1-mesa libglu1-mesa-dev libglx-nvidia0:i386 libglx0-glvnd-nvidia
libglx0-glvnd-nvidia:i386 libgoa-backend-1.0-1 libgpac4 libgstreamer-plugins-bad1.0-0 libgtk-3-bin libmutter0i liboctave4 libpurple-bin libpurple0
libqt5gui5 libqt5opengl5 libqt5printsupport5 libqt5scintilla2-12v5 libqt5svg5 libqt5widgets5 libqt5x11extras5 libsdl1.2-dev libsdl2-2.0-0 libsdl2-dev
libvisual-0.4-plugins libvisual-0.4-plugins:i386 libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37-gtk2 libweston-1-0 libwine libyelp0 lightning links2 mesa-utils
metacity mpv mutter nvidia-driver nvidia-driver-libs nvidia-driver-libs:i386 nvidia-driver-libs-i386:i386 nvidia-egl-icd:i386 nvidia-vulkan-icd:i386 octave
openbox-gnome-session openjdk-8-jre osmos pidgin playonlinux prboom-plus qemu-kvm qemu-system-x86 qt5-gtk-platformtheme qt5-image-formats-plugins smplayer
smplayer-l10n smplayer-themes steam:i386 steam-launcher supertuxkart taskcoach teeworlds thunderbird vdpau-va-driver:i386 vlc vlc-plugin-qt
vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-vlsub weston wine64 worldofgoo x11-utils x264 xbase-clients xmoto xorg xserver-xorg xserver-xorg-core
xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-libinput xserver-xorg-input-mouse xserver-xorg-input-synaptics
xserver-xorg-video-intel xserver-xorg-video-nvidia xserver-xorg-video-vesa xserver-xorg-video-vmware xutils yelp zenity
The following NEW packages will be installed:
libegl1 libgl1 libgl1:i386 libglx-mesa0 libglx-mesa0:i386 libglx0 libglx0:i386 libllvm5.0:i386 libxcb-xfixes0:i386 mesa-va-drivers:i386
The following packages have been kept back:
libwine:i386 wine wine32:i386
The following packages will be upgraded:
abiword-common augeas-lenses console-setup console-setup-linux dconf-gsettings-backend dconf-service debhelper dirmngr fonts-ipafont-gothic
fonts-ipafont-mincho fonts-liberation fonts-wine gir1.2-caribou-1.0 gir1.2-gtk-3.0 gir1.2-soup-2.4 gnome-mime-data gnupg gnupg-agent gnupg-l10n gnupg-utils
gnupg2 gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv gthumb-data gtk-update-icon-cache init init-system-helpers keyboard-configuration
libaudit-common libaudit1 libaugeas0 libbabl-0.1-0 libcap2 libcap2:i386 libcap2-bin libcaribou-common libcaribou0 libccid libdate-manip-perl libdconf1
libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-common libdrm-dev libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1
libdrm-radeon1:i386 libdrm2 libdrm2:i386 libegl-nvidia0 libegl-nvidia0:i386 libfluidsynth1 libgbm1 libgegl-0.3-0 libgl1-mesa-dri libgl1-mesa-dri:i386
libgl1-nvidia-glvnd-glx libglapi-mesa libglapi-mesa:i386 libgles-nvidia1 libgles-nvidia1:i386 libgles-nvidia2 libgles-nvidia2:i386 libgles1-glvnd-nvidia
libgles1-glvnd-nvidia:i386 libgles2-glvnd-nvidia libgles2-glvnd-nvidia:i386 libglvnd0-nvidia libglvnd0-nvidia:i386 libglx-nvidia0 libgoffice-0.10-10
libgoffice-0.10-10-common libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libgraphite2-3 libgraphite2-3:i386 libgtk-3-0 libgtk-3-common libicu57
libicu57:i386 libinput-bin libinput10 libjs-jquery-tablesorter libnm-glib4 libnm-util2 libnm0 libnss-myhostname libnvidia-cfg1 libnvidia-cfg1:i386
libnvidia-egl-wayland libnvidia-eglcore libnvidia-eglcore:i386 libnvidia-glcore libnvidia-glcore:i386 libnvidia-ml1 libopengl0-glvnd-nvidia
libopengl0-glvnd-nvidia:i386 libopenjp2-7 libopenjp2-7:i386 libosmesa6 libosmesa6:i386 libpam-systemd libparted-fs-resize0 libparted2 libprotobuf10
libsoup-gnome2.4-1 libsoup2.4-1 libsqlite3-0 libsqlite3-0:i386 libsystemd-dev libsystemd0 libsystemd0:i386 libtag1v5 libtag1v5-vanilla
libtotem-plparser-common libtotem-plparser18 libudev-dev libudev1 libudev1:i386 liburi-perl libvirt-clients libvirt-daemon libvirt-daemon-system libvirt0
libwayland-egl1-mesa libwmf-bin libwmf0.2-7 libxatracker2 libxml2 libxml2:i386 libxml2-utils libxslt1.1 libxslt1.1:i386 linux-compiler-gcc-6-x86
linux-headers-4.13.0-1-amd64 linux-headers-4.13.0-1-common linux-image-4.13.0-1-amd64 linux-kbuild-4.13 linux-libc-dev mesa-common-dev mesa-vdpau-drivers
mesa-vdpau-drivers:i386 mupdf network-manager nvidia-alternative nvidia-driver-bin nvidia-egl-common nvidia-egl-icd nvidia-kernel-dkms
nvidia-kernel-support nvidia-legacy-check nvidia-vdpau-driver nvidia-vulkan-common nvidia-vulkan-icd parted poppler-data python-libxml2 python-zeitgeist
shared-mime-info systemd systemd-sysv udev wine-binfmt winetricks wpasupplicant xfdesktop4 xfdesktop4-data xorg-docs-core xserver-common
xserver-xorg-legacy xsltproc xwayland
180 upgraded, 10 newly installed, 150 to remove and 3 not upgraded.
Need to get 236 MB of archives.
After this operation, 936 MB disk space will be freed.
Do you want to continue? [Y/n] ^C
drowsy
 
Posts: 27
Joined: 2006-12-21 20:43

Re: apt-get upgrade wants to delete many packages

Postby 4D696B65 » 2017-10-21 19:52

This is normal with all the changes going on.
apt-get upgrade for a while until the repos get all the necessary package versions.
User avatar
4D696B65
 
Posts: 2022
Joined: 2009-06-28 06:09


Return to General Questions

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable